# Class HomHetStats

java.lang.Object
org.snpeff.stats.HomHetStats

All Implemented Interfaces:
  `SamplingStats<VcfEntry>`

public class HomHetStats extends Object implements SamplingStats<VcfEntry>
Count Hom/Het per sample From Pierre: For multiple ALT, I suggest to count the number of REF allele 0/1 => ALT1 0/2 => ALT1 1/1 => ALT2 2/2 => ALT2 1/2 => ALT2

Author:
  pablocingolani

## Constructor Summary

Constructors
Constructor
Description
`HomHetStats()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasData()`
Does this statistic have any data?
`void`
`sample(VcfEntry vcfEntry)`
Update Hom/Het counters
`String`
`toString()`
Show results to stdout

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HomHetStats

public HomHetStats()

## Method Details

### hasData

public boolean hasData()
Description copied from interface: `SamplingStats`
Does this statistic have any data?

Specified by:
  `hasData` in interface `SamplingStats<VcfEntry>`
Returns:

### sample

public void sample(VcfEntry vcfEntry)
Update Hom/Het counters

Specified by:
  `sample` in interface `SamplingStats<VcfEntry>`
Parameters:
  `vcfEntry` -

### toString

public String toString()
Show results to stdout

Overrides:
  `toString` in class `Object`